Ant 求助:Android 升级最新的 SDK 和 ADT 后,用 ant 无法正常编译了!

fjyxyz · 发布于 2012年12月12日 · 224 次阅读
96

升级了SDK 和ADT到20后,发现用ant无法编译了,提示找不到com.android.ant.SetupTask,看了一下build.xml文件,确实调用了这个包: 但是在Android SDK中用JD-Gui查看anttasks.jar中确实没有com.android.ant.NewSetupTask,坑爹啊。 在网上找相关的内容,都寥寥无几,还说的不是很清楚,越看牵涉到的内容越多,不知道有人遇到过这种情况吗? 求助啊!

共收到 3 条回复
96
rexuekonglong · #1 · 2012年12月12日

其实很简单,去找研发人员,核对相关SDK ADT版本是否一致

96
fjyxyz · #2 · 2012年12月24日

已经确认是不一致的,但是编译的脚本用不了了,新版本SDK中tools-->libs下的anttask.jar里的方法变了了,不知道怎么改哇。。。

96
rexuekonglong · #3 · 2012年12月25日

换成和研发一致的版本,scm的配置管理相关服务器是为研发服务,需要和研发相关软件版本一致。

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册